//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <tchar.h>
//---------------------------------------------------------------------------
USEFORM("PropFrm.cpp", frmProp);
USEFORM("PreviewFrm.cpp", frmPreview);
USEFORM("Unit1.cpp", Form1);
USEFORM("OptionsFrm.cpp", frmOptions);
USEFORM("ListFrm.cpp", frmList);
USEFORM("CPFrm.cpp", frmCP);
//---------------------------------------------------------------------------
WINAPI _tWinMain(HINSTANCE, HINSTANCE, LPTSTR, int)
{
	try
	{
		Application->Initialize();
		Application->MainFormOnTaskBar = true;
		Application->CreateForm(__classid(TForm1), &Form1);
		Application->CreateForm(__classid(TfrmCP), &frmCP);
		Application->CreateForm(__classid(TfrmList), &frmList);
		Application->CreateForm(__classid(TfrmOptions), &frmOptions);
		Application->CreateForm(__classid(TfrmPreview), &frmPreview);
		Application->CreateForm(__classid(TfrmProp), &frmProp);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
